Page MenuHomePhabricator

wgMFSpecialCaseMainPage should be disabled on new wiki installs
Closed, ResolvedPublic0.5 Story Points

Description

This variable was supposed to be a temporary way for wikis to adjust their home page. It is badly documented and has confusing behaviour.

Let's disable this by default on new wiki installs and encourage editors to fix these issues in templates and on wiki.

  • Set the default to false in MobileFrontend
  • Any projects that are currently making use of it should override this in the Wikimedia MediaWiki config to be enabled.
  • Update documentation to discourage the usage of the config and encourage fixing templates to fix mobile views (https://www.mediawiki.org/wiki/Extension:MobileFrontend#Configuring_the_main_page)
  • Update internal documentation in MobileFrontend README

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 22 2016, 4:29 PM
Jhernandez updated the task description. (Show Details)Jun 22 2016, 4:35 PM
Jdlrobson updated the task description. (Show Details)Jun 22 2016, 11:53 PM
Jdlrobson updated the task description. (Show Details)

Change 295600 had a related patch set uploaded (by Jdlrobson):
Complete list of legacy main pages, switch default to false

https://gerrit.wikimedia.org/r/295600

Jdlrobson updated the task description. (Show Details)Jun 22 2016, 11:55 PM

Change 295600 merged by jenkins-bot:
Complete list of legacy main pages, switch default to false

https://gerrit.wikimedia.org/r/295600

kaldari removed a subscriber: kaldari.Jun 24 2016, 11:42 AM

Change 295926 had a related patch set uploaded (by Dr0ptp4kt):
Restore mobile formatting for enwiki mdot

https://gerrit.wikimedia.org/r/295926

Jdlrobson updated the task description. (Show Details)Jun 30 2016, 11:20 PM
Jdlrobson closed this task as Resolved.Jun 30 2016, 11:41 PM
Jdlrobson claimed this task.
Jdlrobson updated the task description. (Show Details)
Jdlrobson set the point value for this task to 0.5.